# Get Call Detail / Status

**HTTP Method** : <mark style="color:green;">**`GET`**</mark>&#x20;

**Endpoint URL :** [**`https://webapigw.ocatelkom.co.id/call/v2/call-status/{{fill_with_call_id}}`**](https://webapigw.ocatelkom.co.id/call/v2/call-status/{{fill_with_call_id}})

**Response:**

<table><thead><tr><th width="235">Property</th><th>Type</th></tr></thead><tbody><tr><td><code>from_number</code></td><td>String (Phone numbers that get from numbers collection) Required</td></tr><tr><td><code>to_number</code></td><td>String (Destination phone number) Required</td></tr><tr><td><code>ivr_id</code></td><td>String (IVR ID )</td></tr><tr><td><code>call_id</code></td><td>Object (filled with required variable and the value)</td></tr><tr><td><code>call_start</code></td><td>ISO Date (call start ringing)</td></tr><tr><td><code>call_answer</code></td><td>ISO Date (call picked up by destination)</td></tr><tr><td><code>call_end</code></td><td>ISO Date (call ended by destination)</td></tr><tr><td><code>duration</code></td><td>Number (total duration from call made until call ended)</td></tr><tr><td><code>talk_duration</code></td><td>Number (total talk duration from call picked up by user until call hangup, Billing will be counting by talk_duration)</td></tr><tr><td><code>tta</code></td><td>Number (time to answer)</td></tr><tr><td><code>hangup_cause</code></td><td>String (status from system)</td></tr><tr><td><code>status</code></td><td>String (status of call. submitted, success, failed)</td></tr><tr><td><code>created_at</code></td><td>ISO Date</td></tr><tr><td><code>updated_at</code></td><td>ISO Date</td></tr><tr><td><code>result</code></td><td>Array Objects*</td></tr></tbody></table>

**Response:**

{% tabs %}
{% tab title="200" %}

```json
{
    "from_number": "62857xxxxxxx",
    "to_number":"081212xxxxxxxx",
    "ivr_id": "xxxxgyutfgv6767768hgxxxx",
    "call_id": "xxxxkya9iv6767768hgxxxx",
    "application_id": "xxxx708875682700297dxxxx",
    "call_start": "2024-07-31T18:01:06.000Z",
    "call_answer": "2024-07-31T18:01:26.000Z",
    "call_end": "2024-07-31T18:01:32.000Z",
    "duration": 26,
    "talk_duration": 6,
    "tta": 20,
    "hangup_cause": "NORMAL_CLEARING",
    "status": "answered",
    "created_at": "2024-07-31T18:01:32.680Z",
    "updated_at": "2024-07-31T18:01:32.000Z"
    "result": [...
    ]
}
```

{% endtab %}
{% endtabs %}

**\*Sample Result : (Arrray Objects)**

```json
[
    {
        "question":"Sebutkan nama anda setelah tanda beep berikut, dan akhiri dengan menekan tanda pagar",
        "type":"record_speach",
        "answer":[
            "https://storage.oca.co.id/audio/xxxxgh78uj-xxxhu-60xx-5ff2ff69xxxxx.wav"
        ]
        
    },
    {
        "question":"Apakah anda sehat hari ini, tekan 1 jika sehat, tekan 2 jika kurang sehat",
        "type":"multiple_choice",
        "answer":[
            {
                "key": "1",
                "title": "Key 1",
                "total": 1 
            },
            {
                "key": "2",
                "title": "Key 2",
                "total": 0 
            }
        ]
        
    },
    {
        "question":"masukkan nomor rekening anda",
        "type":"collect_number",
        "answer":[
            "854672xxx"
        ]
        
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ocaindonesia.co.id/call-api/endpoint/get-call-detail-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
